Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Interface GroovyResultSet

Method Summary
`void` | `add(Map values)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`void` | `eachRow(Closure closure)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`Object` | `getAt(int index)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`Object` | `getAt(String columnName)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`void` | `putAt(int index, Object newValue)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.
`void` | `putAt(String columnName, Object newValue)` Supports integer-based subscript operators for accessing at numbered columns starting at zero.

Method Detail

### add

    public void add(Map values)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set

### eachRow

    public void eachRow(Closure closure)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set

### getAt

    public Object getAt(int index)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set

### getAt

    public Object getAt(String columnName)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set

### putAt

    public void putAt(int index, Object newValue)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set

### putAt

    public void putAt(String columnName, Object newValue)

  Supports integer-based subscript operators for accessing at numbered columns starting at zero. Negative indices are supported, they will count from the last column backwards.
  param:
    index is the number of the column to look at starting at 1
  throws:
    SQLException if a database error occurs
  return:
    the object for this index in the current result set